Page MenuHomePhabricator

Need for a muted destructive state for buttons which are destructive but not important workflow items in the OOjs UI MediaWiki theme
Closed, ResolvedPublic8 Estimated Story Points

Description

See screenshots:


Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as Medium priority.Dec 9 2014, 8:33 PM
Jdforrester-WMF raised the priority of this task from Medium to High.
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.

Seems like destructive + primary should be the only case where a red fill is used. But this is a call for May.

We should just use different constructive/destructive/progressive styling based on whether the button is the primary action or not. Essentially, only the primary button should have such a colored background and inverted icon, and other buttons should have much quieter appearance with a white background and colored text.

For example:

+1 for Trevor's suggestion.

Change 179000 had a related patch set uploaded (by Trevor Parscal):
Split primary flag into primary and progressive

https://gerrit.wikimedia.org/r/179000

Patch-For-Review

Jdforrester-WMF moved this task from Next-up to Doing on the OOUI board.

Change 179000 merged by jenkins-bot:
[BREAKING CHANGE] Split primary flag into primary and progressive

https://gerrit.wikimedia.org/r/179000

Jdforrester-WMF closed this task as Resolved.Dec 11 2014, 7:14 PM

It seems like the main action upon clicking on the red link is the "Done" action. I've come to this conclusion because the main task is to fill in the form field. Not to mention also, clicking on the red link, we hope that users resolve the red link issue and "removing" a link isn't always the resolution, but giving it a new destination either gives it a blue link or retains a red link. Red link does not mean bad news, but it's better linked than not, right? Correct me if I'm wrong.

On the other hand, when this link is blue, the "Remove" action being secondary still makes sense because there isn't a reason to remove other than a change of link, which makes "Done" a constructive action.

With that said, "Done" should remain progressive (if there is another confirmation step after) or constructive (if this window marks the last step to completing task). "Remove" should be a quite destructive action and it goes the same for "Open," which I have an issue with by being in the same hierarchy as "Remove." But that's out of the scope of this issue.

Jdforrester-WMF moved this task from Freezer to Q4 on the VisualEditor board.Jan 7 2015, 9:20 PM
Jdforrester-WMF edited a custom field.Feb 2 2015, 7:49 PM
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Mar 26 2015, 8:59 PM